Series List
curl --request GET \
--url https://apiv2.sportxapi.com/cricket/api/v2/seriesconst options = {method: 'GET'};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/series"
response = requests.get(url)
print(response.text)[
{
"id": 129917,
"tourName": "County Championship Division One",
"tourID": "129917",
"league": null,
"seriesStartDate": "1775210400000",
"seriesEndDate": "1790244000000",
"gender": "male",
"formatStartDate": "04/03/2026",
"formatEndDate": "09/24/2026",
"t20count": 0,
"odicount": 0,
"testcount": 70,
"t10Count": 0,
"matchLevel": "domestic",
"seriesStatus": "live"
},
{
"id": 129918,
"tourName": "County Championship Division Two",
"tourID": "129918",
"league": null,
"seriesStartDate": "1775210400000",
"seriesEndDate": "1790244000000",
"gender": "male",
"formatStartDate": "04/03/2026",
"formatEndDate": "09/24/2026",
"t20count": 0,
"odicount": 0,
"testcount": 56,
"t10Count": 0,
"matchLevel": "domestic",
"seriesStatus": "live"
}
]{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}Series & Tournaments
Series List
Paginated series list. Filter by international/domestic/etc.
GET
/
cricket
/
api
/
v2
/
series
Series List
curl --request GET \
--url https://apiv2.sportxapi.com/cricket/api/v2/seriesconst options = {method: 'GET'};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/series"
response = requests.get(url)
print(response.text)[
{
"id": 129917,
"tourName": "County Championship Division One",
"tourID": "129917",
"league": null,
"seriesStartDate": "1775210400000",
"seriesEndDate": "1790244000000",
"gender": "male",
"formatStartDate": "04/03/2026",
"formatEndDate": "09/24/2026",
"t20count": 0,
"odicount": 0,
"testcount": 70,
"t10Count": 0,
"matchLevel": "domestic",
"seriesStatus": "live"
},
{
"id": 129918,
"tourName": "County Championship Division Two",
"tourID": "129918",
"league": null,
"seriesStartDate": "1775210400000",
"seriesEndDate": "1790244000000",
"gender": "male",
"formatStartDate": "04/03/2026",
"formatEndDate": "09/24/2026",
"t20count": 0,
"odicount": 0,
"testcount": 56,
"t10Count": 0,
"matchLevel": "domestic",
"seriesStatus": "live"
}
]{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}Query Parameters
Filter slug.
Example:
"all"
Response
Successful Response (JSON)
